Page MenuHomePhabricator

[Clang][unittests][NFC] Break up test in Callbacks.cpp
ClosedPublic

Authored by stefanp on Oct 6 2020, 4:18 AM.

Details

Summary

The Callbacks.cpp test was taking a long time to compile on some build bots
causing timeouts. This patch splits up that test into five separate cpp
files and a header file.

Diff Detail

Event Timeline

stefanp created this revision.Oct 6 2020, 4:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 6 2020, 4:18 AM
Herald added a subscriber: mgorny. · View Herald Transcript
stefanp requested review of this revision.Oct 6 2020, 4:18 AM

Related to this please see Nemanja's comment on https://reviews.llvm.org/D82485.

gribozavr2 accepted this revision.Oct 6 2020, 7:10 AM
gribozavr2 added a reviewer: gribozavr2.
gribozavr2 added a subscriber: gribozavr2.

Thank you! LGTM assuming you only moved the tests into separate cpp files (I didn't verify that the text is exactly the same).

clang/unittests/Tooling/RecursiveASTVisitorTests/CallbacksCommon.h
2

Please add a license comment and all necessary includes.

stefanp updated this revision to Diff 296970.Oct 8 2020, 7:25 AM

Added the missing header file.
Added the license comment.

gribozavr2 accepted this revision.Oct 8 2020, 8:29 AM
This revision is now accepted and ready to land.Oct 8 2020, 8:29 AM
This revision was landed with ongoing or failed builds.Oct 9 2020, 6:54 AM
This revision was automatically updated to reflect the committed changes.